Getting error - base.apk is signed using APK Signature Scheme v2, but no such signature was found.

Hi,

I am trying to run the automated mobile test cases using Katalon Studio but getting below error :-

Test Cases/Login/Login FAILED because (of) Unable to start app at: ‘C:\\xxx\\KatalonStudio_xxx\\APKs\\20180528\\280518_xxx_xxxAndroidSE_release.apk’ (Root cause: org.openqa.selenium.WebDriverException: An unknown server-side error occurred while processing the command. Original error: Error executing adbExec. Original error: ‘Command ‘C\:\\Users\\xxxx\.katalon\\tools\\android_sdk\\platform-tools\\adb.exe -P 5037 -s 5203b7c84d2cc38d install -r -g C\:\\xxx\\KatalonStudio_xxx\\APKs\\20180528\\280518_xxx_xxxAndroidSE_release.apk’ exited with code 1’; Stderr: ‘adb: failed to install C:\xxx\KatalonStudio_xxx\APKs\20180528\280518_xxx_xxxAndroidSE_release.apk: Failure [INSTALL_PARSE_FAILED_NO_CERTIFICATES: Failed to collect certificates from /data/app/vmdl1529573716.tmp/base.apk: META-INF/CERT.SF indicates /data/app/vmdl1529573716.tmp/base.apk is signed using APK Signature Scheme v2, but no such signature was found. Signature stripped?]’; Code: ‘1’ (WARNING: The server did not provide any stacktrace information)

Command duration or timeout: 46.69 seconds

Build info: version: ‘3.7.1’, revision: ‘8a0099a’, time: ‘2017-11-06T21:07:36.161Z’

System info: host: ‘WL354148’, ip: ‘10.41.142.176’, os.name: ‘Windows 10’, os.arch: ‘amd64’, os.version: ‘10.0’, java.version: ‘1.8.0_102’

Driver info: driver.version: SwipeableAndroidDriver)

Can someone guide me to solve this issue?

2 Likes

I am getting this error, too, please advise.

I am getting the same error when running Android v7.0 and above, all previous versions of Android work perfectly.

I’m getting this also with my Android 7.1.1 device.
I tried upgrading Appium to the latest 1.8.2 Beta version but it didn’t help.
My adb is version 1.0.40, and appium-adb is version 6.13.0.
I tried passing parameter noSign=true, it made no difference.

Update: It works with Kobiton devices, even Android 7.0 and above. It only fails with my local devices. So it must be something in my test environment, but I haven’t figured out what yet.

1 Like

Will there be an update to fix this? This is a big problem. We need to be able to test newer devices. We’re just starting to work with this platform, but this is a hinderance.

I managed to resolve the issue by signing APK with Signature Scheme v1 only, uncheck v2.

Same here. The v2 signature seems to be the problem.

FYI, I was briefly misled by a using appium 1.8.2-beta, after some appium forum discussions suggested it might solve the problem. Instead, it caused a similar error when appium-uiautomator2-server-debug-androidTest.apk to fail to verify on all apks. Reverting to appium 1.8.1 fixed that problem.

@Allen_Johnson Hi, could you tell me what worked for you, and how you did it? I am unable to understand the solution,

and a bit furious too because all of a sudden I am getting this issue, till a day before I was able to run test cases on my physical device and now there seems to be this issue which does not starts the application on device.

I never did get a fully working solution. My workaround is to install the app first on my device before running my Katalon test, then the test runs.
Yet it works for some other testers, so it seems to be something about the machine environment, not necessarily Katalon itself.
Sorry, my test environment is broken at the moment so I can’t answer with any more detail.